### Hierarchy

- SdaPostShowTagsRecords1JsonSample

## Index

### Properties

- PATH

### Methods

- copyOfResponse

### Object literals

- BODY
- RESPONSE

## Properties

### Static Private PATH

PATH: string = "tenants/${tenantId}/sessions/${sessionId}/dialogs/16/records"

- Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:5

## Methods

### Static copyOfResponse

- copyOfResponse(): object

- - Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:45

  #### Returns object

## Object literals

### Static Private BODY

BODY: object

- Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:7

### fetchDirection

fetchDirection: string = "FORWARD"

- Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:8

### fetchMaxRecords

fetchMaxRecords: number = 50

- Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:9

### type

type: string = "hxgn.api.dialog.QueryParameters"

- Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:10

### Static Private RESPONSE

RESPONSE: object

- Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:13

### defaultActionId

defaultActionId: string = "open"

- Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:14

### dialogAlias

dialogAlias: string = "Workpackage_Tags_Tags"

- Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:39

### dialogName

dialogName: string = "Workpackage_Tags_Tags"

- Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:42

### hasMore

hasMore: boolean = false

- Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:40

### records

records: object[] = [{"annotations": [],"id": "{\"C\":\"'6FQA03BA'\",\"N\":\"FusionTags(Id='6FQA03BA')\"}","type": "hxgn.api.dialog.Record","properties": [{"name": "Id","format": null,"annotations": [],"type": "hxgn.api.dialog.Property","value": "6FQA03BA"}, {"name": "Name","format": null,"annotations": [],"type": "hxgn.api.dialog.Property","value": "77-P-7703A"}, {"name": "Description","format": null,"annotations": [],"type": "hxgn.api.dialog.Property","value": null}]}]

- Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:15

### type

type: string = "hxgn.api.dialog.RecordSet"

- Defined in ppm/samples/SdaPostShowTagsRecords1JsonSample.ts:41

Generated using TypeDoc